Bug 733043 (CVE-2003-1418) - CVE-2003-1418 httpd information disclosure in FileEtag
Summary: CVE-2003-1418 httpd information disclosure in FileEtag
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2003-1418
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20030225,reported=20110824,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 15:00 UTC by Josh Bressers
Modified: 2019-06-08 18:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-24 15:03:39 UTC


Attachments (Terms of Use)

Description Josh Bressers 2011-08-24 15:00:50 UTC
Apache HTTP Server allows remote attackers to obtain information via (1)
the ETag header, which reveals the inode number, or (2) multipart MIME
boundary, which reveals child proccess IDs (PID).

Comment 1 Josh Bressers 2011-08-24 15:03:39 UTC
Statement:

Red Hat does not consider this to be a security issue. The information returned poses no threat to the target machine running httpd.

Comment 2 Tomas Hoger 2011-09-05 11:06:42 UTC
Recent upstream discussion and upstream bug report:
http://thread.gmane.org/gmane.comp.apache.devel/45495
https://issues.apache.org/bugzilla/show_bug.cgi?id=49623

As pointed out there, content of the ETag header can be controlled using the FileETag directive.  Its default value is: INode MTime Size

Changing to MTime Size will cause httpd to not use file INode in the ETag headers.

http://httpd.apache.org/docs/2.2/mod/core.html#fileetag


Note You need to log in before you can comment on or make changes to this bug.